/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: DirectoryMetadataItemHolder.java,v d7e8fed5e750 2009/09/17 23:55:58 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.metadata.tiff.provider;

import java.util.Date;
import it.tidalwave.image.metadata.Directory;
import it.tidalwave.metadata.MetadataItemHolder;
import javax.annotation.Nonnull;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: DirectoryMetadataItemHolder.java,v d7e8fed5e750 2009/09/17 23:55:58 fabrizio $
 *
 ******************************************************************************/
public class DirectoryMetadataItemHolder<Item extends Directory> extends MetadataItemHolder<Item>
  {
    private static final long serialVersionUID = 456245698754098627L;

    public DirectoryMetadataItemHolder (@Nonnull final Item bean)
      {
        super(bean);
      }
    
    public DirectoryMetadataItemHolder (@Nonnull final Item bean,
                                        @Nonnull final String sourceName,
                                        @Nonnull final String origin,
                                        final Date latestModificationTime)
      {
        super(bean, sourceName, origin, latestModificationTime);
      }
    
    @Override
    public boolean isAvailable()
      {
        return get().getTagCodes().length > 0;
      }
  }
